<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{layout/main.html}">
<head>
<title>SQuaReD</title>
</head>
<body>
	<th:block layout:fragment="buttons">
		<ul class="navbar-nav" style="list-style-type: none">
			<li class="nav-item btn-hoverborder" th:if="${missinglistBean.pk} != null"><a class="nav-link"
				th:href="@{/missinglist/{id}(id=${missinglistBean.pk})}" th:title="#{button.reload}" onclick="progress.start()"><i
					class="fas fa-sync"></i></a></li>
			<li class="nav-item btn-hoverborder" th:if="${missinglistBean.pk} == null"><a class="nav-link"
				th:href="@{/missinglist/add}" th:title="#{button.reload}" onclick="progress.start()"><i class="fas fa-sync"></i></a></li>
		</ul>
		<ul class="navbar-nav" style="list-style-type: none">
			<li class="nav-item btn-hoverborder"><a class="nav-link" th:href="@{/login}" th:title="#{button.welcome}"
				onclick="progress.start()"><i class="fas fa-home"></i></a></li>
		</ul>
	</th:block>
	<main layout:fragment="content">
		<form action="#" th:action="@{/missinglist/upsert}" th:object="${missinglistBean}" method="post">
			<input type="hidden" th:field="*{pk}" th:if="*{pk} != null" />
			<div class="card">
				<div class="card-header" th:text="#{label.missinglist.edit}"></div>
				<div class="card-body">
					<div class="container">
						<div class="mb-3 row">
							<label for="id" class="col-sm-2 col-form-label" th:text="#{label.name}"></label>
							<div class="col-sm-10">
								<input type="text" class="form-control" th:field="*{name}" />
							</div>
						</div>
						<div class="mb-3 row">
							<label for="id" class="col-sm-2 col-form-label" th:text="#{label.description}"></label>
							<div class="col-sm-10">
								<textarea class="form-control" th:field="*{description}"></textarea>
							</div>
						</div>
						<div class="mb-3 row">
							<label for="id" class="col-sm-2 col-form-label" th:text="#{label.studygroup}"></label>
							<div class="col-sm-10">
								<select th:field="*{studygroup}" class="form-control">
									<option th:each="s : ${studygroups}" th:value="${s.key}" th:text="${s.value}"></option>
								</select>
							</div>
						</div>
						<div class="mb-3 row">
							<label for="id" class="col-sm-2 col-form-label" th:text="#{label.elements}"></label>
							<div class="col-sm-10">
								<table id="elementstbl" class="table table-striped">
									<thead>
										<tr>
											<th>CODE_VALUE</th>
											<th>CODE_LABEL</th>
											<th>CODE_CLASS</th>
										</tr>
									</thead>
									<!-- r_variablemissing -->
									<tbody>
										<tr th:each="m : ${missinglistBean.missings}">
											<td th:text="${m.codeValue}"></td>
											<td th:text="${m.codeLabel}"></td>
											<td th:text="${m.codeClass}"></td>
										</tr>
									</tbody>
									<tfoot>
										<tr>
											<td colspan="3"><a class="btn btn-secondary" th:text="#{button.download}"
												th:href="@{/missinglist/download/{id}(id=*{pk})}"></a>
												<button type="button" class="btn btn-secondary" data-bs-toggle="modal" data-bs-target="#uploadModal"
													th:text="#{button.upload}"></button></td>
									</tfoot>
								</table>
								<script type="text/javascript">
									$(document)
											.ready(
													function() {
														var localeUrl = '[[@{/locale/{l}.json(l=${#locale})}]]';
														$('#elementstbl')
																.DataTable(
																		{
																			"language" : {
																				"url" : localeUrl
																			}
																		});
													});
								</script>
							</div>
						</div>
					</div>
				</div>
				<div class="card-footer">
					<input type="submit" class="btn btn-primary" th:value="#{button.ok}" onclick="progress.start()"> <a
						th:href="@{/login}" class="btn btn-secondary" th:text="#{button.cancel}" onclick="progress.start()"></a>
				</div>
			</div>
		</form>
		<div class="modal fade" id="uploadModal" tabindex="-1" aria-labelledby="uploadModalLabel" aria-hidden="true">
			<div class="modal-dialog">
				<div class="modal-content">
					<form th:action="@{/missinglist/upload}" enctype="multipart/form-data" method="post">
						<div class="modal-header">
							<h1 class="modal-title fs-5" id="uploadModalLabel" th:text="#{confirm.upload}"></h1>
							<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
						</div>
						<div class="modal-body">
							<input type="hidden" name="id" th:value="${missinglistBean.pk}" /> 
							<div class="form-check form-switch">
  							<input class="form-check-input" type="checkbox" role="switch" id="flexSwitchCheckChecked" name="replace">
  							<label class="form-check-label" for="flexSwitchCheckChecked" th:text="#{label.missinglist.upload.overwrite}"></label>
							</div>
							<input type="file" name="file" />
						</div>
						<div class="modal-footer">
							<input type="submit" th:value="#{button.upload}" />
						</div>
					</form>
				</div>
			</div>
		</div>
	</main>
</body>
</html>